com.google.gwt.dom.client

## Enum Style.FontStyle

- java.lang.Object
- - java.lang.Enum<Style.FontStyle>
  - - com.google.gwt.dom.client.Style.FontStyle

- All Implemented Interfaces:
    Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.FontStyle>
  Enclosing class:
    Style

      public static enum Style.FontStyle
      extends java.lang.Enum<Style.FontStyle>
      implements Style.HasCssName

  Enum for the font-style property.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ITALIC`
    `NORMAL`
    `OBLIQUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getCssName()` Gets the CSS name associated with this value.
    `static Style.FontStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Style.FontStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Style.FontStyle NORMAL

    - #### ITALIC

          public static final Style.FontStyle ITALIC

    - #### OBLIQUE

          public static final Style.FontStyle OBLIQUE

  - ### Method Detail

    - #### values

          public static Style.FontStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Style.FontStyle c : Style.FontStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Style.FontStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCssName

          public abstract java.lang.String getCssName()

      Description copied from interface: `Style.HasCssName`
      Gets the CSS name associated with this value.
      Specified by:
        `getCssName` in interface `Style.HasCssName`